var nav_content = function () {
  var nav_list = [],
      toggled = null,
      nav_content = '.navigation-content',
      nav_prefix = '.navigation-content-',
      nav_dropdown = '.nav-dropdown';
      nav_close = '.navigation-content-close';

  var closeContent = function() {
    toggled = null;
    $(nav_content).slideUp();
  }

  $(nav_content).hide();
  $(nav_close).click(function() { closeContent(); });

  $(nav_dropdown).each(function() {
    var content = $(this).data('content');
    nav_list.push(content);
    $(nav_prefix + content).hide();
  });

  $(nav_dropdown).click(function(){
    var element = this,
        content = $(element).data('content');

    if (toggled == content) closeContent();
    else {
      toggled = content;

      $(nav_content).slideUp(null, function() {
        var length = nav_list.length;
        for (var i = 0; i < length; ++i) {
          var content = nav_list[i];
          ($(element).data('content') == content) ? $(nav_prefix + content).show() : $(nav_prefix + content).hide();
        }
      });


      $(nav_content).slideDown();
    }
  });
}

$(document).ready(function () {
  nav_content();
});
