# This proxy will keep postgres and orientdb syncronized
#   When some client call UserRepositoryProxy, it will delegate the missing methods for ActiveRecord User model
module RepositoriesProxy

  def learning_object_repository
    application_repository.for(:learning_object)
  end

  def attribute_repository
    application_repository.for(:attribute)
  end

  def subject_repository
    application_repository.for(:subject)
  end

  def collection_repository
    application_repository.for(:collection)
  end

  def complaint_repository
    application_repository.for(:complaint)
  end

  def institution_repository
    application_repository.for(:institution)
  end

  def carousel_repository
    application_repository.for(:carousel)
  end

  def main_page_repository
    application_repository.for(:mainPage)
  end

  def user_repository
    application_repository.for(:user)
  end

  private

  def application_repository
    Portalmec::Application.repository
  end

end
